summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2018-05-08 11:38:59 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2018-05-08 11:55:30 -0500
commitb1eaf5d3adfaa338794fe4eebbc49a40a47a2ccb (patch)
treeed5ecfb6458442694bfce376b16fbfeeba229839
parentsys-cluster/heat: 10.0.1 bup (diff)
downloadgentoo-b1eaf5d3adfaa338794fe4eebbc49a40a47a2ccb.tar.gz
gentoo-b1eaf5d3adfaa338794fe4eebbc49a40a47a2ccb.tar.bz2
gentoo-b1eaf5d3adfaa338794fe4eebbc49a40a47a2ccb.zip
dev-python/oslo-concurrency: 3.25.1 bup
Package-Manager: Portage-2.3.27, Repoman-2.3.9
-rw-r--r--dev-python/oslo-concurrency/Manifest1
-rw-r--r--dev-python/oslo-concurrency/oslo-concurrency-3.25.1.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/oslo-concurrency/Manifest b/dev-python/oslo-concurrency/Manifest
index 3fb2baa590e..a1bd5f5237a 100644
--- a/dev-python/oslo-concurrency/Manifest
+++ b/dev-python/oslo-concurrency/Manifest
@@ -1,2 +1,3 @@
DIST oslo.concurrency-3.21.1.tar.gz 48866 BLAKE2B b621548173e30e7a7f3683d1f5ef3821574e780d1df99c91d8bb77d4e3d3280da395066be7c9ec95b3d3e640da694aae81943e126c8c4e6cd5f18c2db99efba6 SHA512 6d165ebf952b29d96d2d1a8b938b2ef4746c77b99a62ca596ee93e6fb6d919f183eede380763b6167cb7d372e03803556715523b7a63ad1dbadff4eede7c0bcd
DIST oslo.concurrency-3.25.0.tar.gz 48736 BLAKE2B fe8506599d175d22c44fd52bb2c4e5f238687ba7eeb926d3f042be14e6ef8cecb3c13b010c1540c835d9bc7e587560ea391ea00b99f05553d6bfd46d2bbe3d9c SHA512 0273112cdc0a1de45ec231b672f2ed8f8fe5842dea756bc062a18247036b2fdbfbce392f3edbfbb871a2bda94412f6c82f3a634fd98a77c1df5a243babcbd4de
+DIST oslo.concurrency-3.25.1.tar.gz 49218 BLAKE2B 95fccb051ef782a0b6cd01801e9b44272a8b04ca52fd0f00f91a2aa3514885c302a3f251885f59c32303708c91331f3f59ee06ebdce4751d013559a0e7d19b16 SHA512 5c306e742c652d66209a3218ccdc1d1f957ec6fde0b0bcb9411a71e470e8c0402c4cc1a40a05094ce591942ed16b8e0a7b456d60a64e0299ef32a257b37c8388
diff --git a/dev-python/oslo-concurrency/oslo-concurrency-3.25.1.ebuild b/dev-python/oslo-concurrency/oslo-concurrency-3.25.1.ebuild
new file mode 100644
index 00000000000..535a45b3c7a
--- /dev/null
+++ b/dev-python/oslo-concurrency/oslo-concurrency-3.25.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+inherit distutils-r1
+
+DESCRIPTION="library for running multi-thread, multi-process applications"
+HOMEPAGE="https://pypi.org/project/oslo.concurrency/"
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.concurrency/oslo.concurrency-${PV}.tar.gz"
+S="${WORKDIR}/oslo.concurrency-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+CDPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+ !~dev-python/coverage-4.4[${PYTHON_USEDEP}]
+ virtual/python-futures[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.6.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.6.6[${PYTHON_USEDEP}]
+ >=dev-python/openstackdocstheme-1.18.1[${PYTHON_USEDEP}]
+ >=dev-python/reno-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.20.1[${PYTHON_USEDEP}]
+ <dev-python/eventlet-0.21.0[${PYTHON_USEDEP}]
+ >=dev-python/bandit-1.1.0[${PYTHON_USEDEP}]
+ )"
+RDEPEND="
+ ${CDEPEND}
+ virtual/python-enum34[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/fasteners-0.7.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ sed -i '/^futures/d' test-requirements.txt || die
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests ${PN/-/_}/tests/ || die "test failed under ${EPYTHON}"
+}